Skip to main content
Server path: /chatbotkit-data | Type: Application | PCID required: Yes

Tools

ToolDescription
chatbotkit_data_attach_dataset_fileAttach dataset file
chatbotkit_data_create_contactCreate a new contact
chatbotkit_data_create_datasetCreate dataset
chatbotkit_data_create_dataset_recordCreate record
chatbotkit_data_create_fileCreate file
chatbotkit_data_create_memoryCreate a new memory
chatbotkit_data_create_taskCreate a new task
chatbotkit_data_delete_contactDelete contact
chatbotkit_data_delete_datasetDelete a dataset
chatbotkit_data_delete_dataset_recordDelete a record from a dataset
chatbotkit_data_delete_fileDelete a file
chatbotkit_data_delete_memoryDelete memory
chatbotkit_data_delete_taskDelete task
chatbotkit_data_detach_dataset_fileDetach dataset file
chatbotkit_data_download_fileDownload a file
chatbotkit_data_fetch_contactFetch contact
chatbotkit_data_fetch_datasetFetch a dataset
chatbotkit_data_fetch_dataset_recordFetch a record from a dataset
chatbotkit_data_fetch_fileFetch a file
chatbotkit_data_fetch_memoryFetch memory
chatbotkit_data_fetch_taskFetch task
chatbotkit_data_list_contactsList contacts
chatbotkit_data_list_dataset_filesRetrieve a list of dataset files
chatbotkit_data_list_dataset_recordsRetrieve a list of dataset records
chatbotkit_data_list_datasetsRetrieve a list of datasets
chatbotkit_data_list_filesRetrieve a list of files
chatbotkit_data_list_memoriesList memories
chatbotkit_data_list_tasksList tasks
chatbotkit_data_search_datasetSearch a dataset for records matching a given search query
chatbotkit_data_search_memorySearch memories for records matching a given search query
chatbotkit_data_trigger_taskTrigger a task
chatbotkit_data_update_contactUpdate contact
chatbotkit_data_update_datasetUpdate dataset
chatbotkit_data_update_dataset_recordUpdate a dataset record
chatbotkit_data_update_fileUpdate file
chatbotkit_data_update_memoryUpdate memory
chatbotkit_data_update_taskUpdate task
chatbotkit_data_upload_fileUpload the specified file

chatbotkit_data_attach_dataset_file

Attach dataset file Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset
fileIdstringYesThe ID of the file
typestringNoThe dataset file attachment type

chatbotkit_data_create_contact

Create a new contact Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoThe associated description
emailstringNoThe email address of the contact
fingerprintstringNoThe fingerprint of the contact
metaobjectNoMeta data information
namestringNoThe associated name
nickstringNoThe nickname of the contact
phonestringNoThe phone number of the contact
preferencesstringNoThe preferences of the contact
verifiedAtnumberNoThe timestamp (ms) when the contact was verified

chatbotkit_data_create_dataset

Create dataset Parameters:
ParameterTypeRequiredDefaultDescription
aliasstringNoThe unique alias for the instance
blueprintIdstringNoThe ID of the blueprint
descriptionstringNoThe associated description
matchInstructionstringNoAn instruction to include before found records
metaobjectNoMeta data information
mismatchInstructionstringNoAn instruction to include if no records where found
namestringNoThe associated name
recordMaxTokensnumberNoThe total number of tokens for each record
rerankerstringNoThe reranker class for the dataset
searchMaxRecordsnumberNoThe total number of records to return during search
searchMaxTokensnumberNoThe total number of tokens to use during search
searchMinScorenumberNoThe minimum score to filter search results by
separatorsstringNoA list of separators to use when tokenizing text
storestringNoThe storage class for the dataset
visibilitystringNoThe dataset visibility

chatbotkit_data_create_dataset_record

Create record Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesDataset Id
metaobjectNoMeta data information
sourcestringNoThe source of the record
textstringYesThe text of the record

chatbotkit_data_create_file

Create file Parameters:
ParameterTypeRequiredDefaultDescription
aliasstringNoThe unique alias for the instance
blueprintIdstringNoThe ID of the blueprint
descriptionstringNoThe associated description
metaobjectNoMeta data information
namestringNoThe associated name
visibilitystringNoThe file visibility

chatbotkit_data_create_memory

Create a new memory Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringNoThe bot associated with the memory
contactIdstringNoThe contact associated with the memory
descriptionstringNoThe associated description
metaobjectNoMeta data information
namestringNoThe associated name
textstringYesThe text of the memory

chatbotkit_data_create_task

Create a new task Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringNoThe bot associated with the task
contactIdstringNoThe contact associated with the task
descriptionstringNoThe associated description
maxIterationsnumberNoThe maximum number of iterations per task execution
maxTimenumberNoThe maximum time per task execution in milliseconds
metaobjectNoMeta data information
namestringNoThe associated name
schedulestringNoThe schedule of the task
sessionDurationnumberNoThe session duration of the Widget integration

chatbotkit_data_delete_contact

Delete contact Parameters:
ParameterTypeRequiredDefaultDescription
contactIdstringYesThe ID of the contact to delete

chatbotkit_data_delete_dataset

Delete a dataset Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset to delete

chatbotkit_data_delete_dataset_record

Delete a record from a dataset Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset
recordIdstringYesThe ID of the record to delete

chatbotkit_data_delete_file

Delete a file Parameters:
ParameterTypeRequiredDefaultDescription
fileIdstringYesThe ID of the file to delete

chatbotkit_data_delete_memory

Delete memory Parameters:
ParameterTypeRequiredDefaultDescription
memoryIdstringYesThe ID of the memory to delete

chatbotkit_data_delete_task

Delete task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe ID of the task to delete

chatbotkit_data_detach_dataset_file

Detach dataset file Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset
fileIdstringYesThe ID of the file
deleteRecordsbooleanNoDelete records associated with the file

chatbotkit_data_download_file

Download a file Parameters:
ParameterTypeRequiredDefaultDescription
fileIdstringYesThe ID of the file to download

chatbotkit_data_fetch_contact

Fetch contact Parameters:
ParameterTypeRequiredDefaultDescription
contactIdstringYesThe ID of the contact to retrieve

chatbotkit_data_fetch_dataset

Fetch a dataset Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset to retrieve

chatbotkit_data_fetch_dataset_record

Fetch a record from a dataset Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset
recordIdstringYesThe ID of the record to retrieve

chatbotkit_data_fetch_file

Fetch a file Parameters:
ParameterTypeRequiredDefaultDescription
fileIdstringYesThe ID of the file to retrieve

chatbotkit_data_fetch_memory

Fetch memory Parameters:
ParameterTypeRequiredDefaultDescription
memoryIdstringYesThe ID of the memory to retrieve

chatbotkit_data_fetch_task

Fetch task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe ID of the task to retrieve

chatbotkit_data_list_contacts

List contacts Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve
metaobjectNoKey-value pairs to filter the partner users by metadata

chatbotkit_data_list_dataset_files

Retrieve a list of dataset files Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve

chatbotkit_data_list_dataset_records

Retrieve a list of dataset records Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve

chatbotkit_data_list_datasets

Retrieve a list of datasets Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve
metaobjectNoKey-value pairs to filter the partner users by metadata

chatbotkit_data_list_files

Retrieve a list of files Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve
metaobjectNoKey-value pairs to filter the partner users by metadata

chatbotkit_data_list_memories

List memories Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve
metaobjectNoKey-value pairs to filter the partner users by metadata

chatbotkit_data_list_tasks

List tasks Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve
botIdstringNoFilter by associated bot
contactIdstringNoFilter by associated contact
statusstringNoFilter by task status
metaobjectNoKey-value pairs to filter the partner users by metadata

chatbotkit_data_search_dataset

Search a dataset for records matching a given search query Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesThe ID of the dataset to search
filterobjectNoThe filter value
searchstringYesThe keyword/phrase to search for

chatbotkit_data_search_memory

Search memories for records matching a given search query Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringNoThe ID of the bot to filter memories by
contactIdstringNoThe ID of the contact to filter memories by
searchstringYesThe keyword/phrase to search for

chatbotkit_data_trigger_task

Trigger a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesTask Id

chatbotkit_data_update_contact

Update contact Parameters:
ParameterTypeRequiredDefaultDescription
contactIdstringYesContact Id
descriptionstringNoThe associated description
emailstringNoThe email address of the contact
fingerprintstringNoThe fingerprint of the contact
metaobjectNoMeta data information
namestringNoThe associated name
nickstringNoThe nickname of the contact
phonestringNoThe phone number of the contact
preferencesstringNoThe preferences of the contact
verifiedAtnumberNoThe timestamp (ms) when the contact was verified

chatbotkit_data_update_dataset

Update dataset Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesDataset Id
aliasstringNoThe unique alias for the instance
blueprintIdstringNoThe ID of the blueprint
descriptionstringNoThe associated description
matchInstructionstringNoAn instruction to include before found records
metaobjectNoMeta data information
mismatchInstructionstringNoAn instruction to include if no records where found
namestringNoThe associated name
recordMaxTokensnumberNoThe total number of tokens to for each record
rerankerstringNoThe reranker class for the dataset
searchMaxRecordsnumberNoThe total number of records to return during search
searchMaxTokensnumberNoThe total number of tokens to use during search
searchMinScorenumberNoThe minimum score to filter search results by
separatorsstringNoA list of separators to use when tokenizing text
visibilitystringNoThe dataset visibility

chatbotkit_data_update_dataset_record

Update a dataset record Parameters:
ParameterTypeRequiredDefaultDescription
datasetIdstringYesDataset Id
recordIdstringYesRecord Id
metaobjectNoMeta data information
sourcestringNoThe source to update the record with
textstringNoThe text to update the record with

chatbotkit_data_update_file

Update file Parameters:
ParameterTypeRequiredDefaultDescription
fileIdstringYesFile Id
aliasstringNoThe unique alias for the instance
blueprintIdstringNoThe ID of the blueprint
descriptionstringNoThe associated description
metaobjectNoMeta data information
namestringNoThe associated name
visibilitystringNoThe file visibility

chatbotkit_data_update_memory

Update memory Parameters:
ParameterTypeRequiredDefaultDescription
memoryIdstringYesMemory Id
botIdstringNoThe bot associated with the memory
contactIdstringNoThe contact associated with the memory
descriptionstringNoThe associated description
metaobjectNoMeta data information
namestringNoThe associated name
textstringNoThe text of the memory

chatbotkit_data_update_task

Update task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesTask Id
botIdstringNoThe bot associated with the task
contactIdstringNoThe contact associated with the task
descriptionstringNoThe associated description
maxIterationsnumberNoThe maximum number of iterations per task execution
maxTimenumberNoThe maximum time per task execution in milliseconds
metaobjectNoMeta data information
namestringNoThe associated name
schedulestringNoThe schedule of the task
sessionDurationnumberNoThe session duration of the Widget integration

chatbotkit_data_upload_file

Upload the specified file Parameters:
ParameterTypeRequiredDefaultDescription
fileIdstringYesFile Id
filestringYesThe file to upload either as http: or data: URL